# Class CIM_CollectionConfiguration

Note: The Configuration class is being deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of instances of Setting or SettingData. This relationship allows the reuse of the collection-to-Setting and element-to-SettingData associations instead of defining peer associations specifically for Configurations. Deprecated description: This association relates a Configuration object to one or more CollectionOfMSEs objects. The Configuration object represents a certain behavior or a desired functional state for the associated Collection.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_CollectionConfiguration

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ElementSettingData, CIM_CollectionSetting

Description

string

Note: The Configuration class is being deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of instances of Setting or SettingData. This relationship allows the reuse of the collection-to-Setting and element-to-SettingData associations instead of defining peer associations specifically for Configurations. Deprecated description: This association relates a Configuration object to one or more CollectionOfMSEs objects. The Configuration object represents a certain behavior or a desired functional state for the associated Collection.

UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_CollectionConfiguration | CIM_CollectionOfMSEs
Configuration | CIM_CollectionConfiguration | CIM_Configuration

## Class Methods